<?php
 
 
 

namespace PhpWA\Protocol\Proto\BotProgressIndicatorMetadata\BotPlanningStepMetadata;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class BotPlanningSearchSourceMetadata extends \Google\Protobuf\Internal\Message
{
    


    protected $title = null;
    


    protected $provider = null;
    


    protected $sourceUrl = null;
    


    protected $favIconUrl = null;

    











    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getTitle()
    {
        return isset($this->title) ? $this->title : '';
    }

    public function hasTitle()
    {
        return isset($this->title);
    }

    public function clearTitle()
    {
        unset($this->title);
    }

    




    public function setTitle($var)
    {
        GPBUtil::checkString($var, True);
        $this->title = $var;

        return $this;
    }

    



    public function getProvider()
    {
        return isset($this->provider) ? $this->provider : 0;
    }

    public function hasProvider()
    {
        return isset($this->provider);
    }

    public function clearProvider()
    {
        unset($this->provider);
    }

    




    public function setProvider($var)
    {
        GPBUtil::checkEnum($var, \PhpWA\Protocol\Proto\BotProgressIndicatorMetadata\BotPlanningStepMetadata\BotSearchSourceProvider::class);
        $this->provider = $var;

        return $this;
    }

    



    public function getSourceUrl()
    {
        return isset($this->sourceUrl) ? $this->sourceUrl : '';
    }

    public function hasSourceUrl()
    {
        return isset($this->sourceUrl);
    }

    public function clearSourceUrl()
    {
        unset($this->sourceUrl);
    }

    




    public function setSourceUrl($var)
    {
        GPBUtil::checkString($var, True);
        $this->sourceUrl = $var;

        return $this;
    }

    



    public function getFavIconUrl()
    {
        return isset($this->favIconUrl) ? $this->favIconUrl : '';
    }

    public function hasFavIconUrl()
    {
        return isset($this->favIconUrl);
    }

    public function clearFavIconUrl()
    {
        unset($this->favIconUrl);
    }

    




    public function setFavIconUrl($var)
    {
        GPBUtil::checkString($var, True);
        $this->favIconUrl = $var;

        return $this;
    }

}

